Compilando el Amarok 2.0 en Hardy

No encuentro paquetes para Hardy, así que me dije: compilemos y listo!! Ok, hasta ahora voy instalando estos paquetes

apt-get install cmake kdelibs5-dev build-essential libmysqlclient-dev libqt4-opengl-dev libgpod-dev libmp4v2-dev libloudmouth1-dev libmtp-dev libcurl4-dev

puse que me parece que no hacía falta

libphonon-dev libxine-dev

Ahora estoy mirando la guía que aparece en

http://amarok.kde.org/wiki/Compiling:2.0

un detalle curioso: tuve que borrar un archivo CMakeCache.txt porque no me tomaba la instalación del mysql, que fui instalando a medida que me iba pidiendo. Ahora está compilando con el make. Vamos por el 3% y va para largo. Cambié algo de lo que pone en esa página, puse

cmake .. -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

en lugar de

cmake ../amarok-x.y.z -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix`

porque pusiera lo que pusiera (amarok-2.0.1.1) me decía que no encontraba nada… me parece que estaba mal el instructivo.

cuando termine y compile y disfrute del nuevo amarok armo un instructivo desde cero.

Todavía sigo compilando

instalé
apt-get install libstrigiqtdbusclient-dev

y saqué el libmtp-dev porque me tiraba errores de compilación. La cmake ya me había dicho que el mtp estaba, pero que la versión no era la adecuada. Ok, vamos por el 88% y sigue.

Deja un comentario

Tu dirección de correo electrónico no será publicada. Los campos necesarios están marcados *

ERROR: si-captcha.php plugin: GD image support not detected in PHP!

Contact your web host and ask them to enable GD image support for PHP.

ERROR: si-captcha.php plugin: imagepng function not detected in PHP!

Contact your web host and ask them to enable imagepng for PHP.